<!DOCTYPE html>
<html>
<head>
  <title>Password Reset Request</title>
</head>
<body style="  display: flex;
justify-content: center;
align-items: center;
height: 100vh;
margin: 0;">



  <form class="form" action="/password-reset/send-reset-email" method="POST">
    <h1>Password Reset Request</h1>
    <div class="input-container">
      <input type="email" placeholder="Enter email"  type="email" name="email" id="email" required>
  </div>
  <button type="submit" class="submit">
    Send Reset Email
  </button>
  <p id="message-container" class="message"></p>
</form>
</body>
<script>
  function submitForm(event) {
      event.preventDefault(); // Prevent the default form submission

      // Simulate sending the reset email (you would replace this with your actual logic)
      // For the purpose of this example, we'll just set the message directly.
      // In your actual code, this logic should be handled in the server-side route.

      // Simulate the response from the server
      const response = { message: 'Password reset email sent' };

      // Update the message container in the HTML with the success message
      const messageContainer = document.getElementById("message-container");
      messageContainer.textContent = response.message;
  }
</script>
</html>
<style>
  .form {
  background-color: #fff;
  display: block;
  padding: 1rem;
  max-width: 450px;
  border-radius: 0.5rem;
  box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);
}

.form-title {
  font-size: 1.25rem;
  line-height: 1.75rem;
  font-weight: 600;
  text-align: center;
  color: #000;
}

.input-container {
  position: relative;
}

.input-container input, .form button {
  outline: none;
  border: 1px solid #e5e7eb;
  margin: 8px 0;
}

.input-container input {
  background-color: #fff;
  padding: 1rem;
  padding-right: 3rem;
  font-size: 0.875rem;
  line-height: 1.25rem;
  width: 300px;
  border-radius: 0.5rem;
  box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.05);
}

.submit {
  display: block;
  padding-top: 0.75rem;
  padding-bottom: 0.75rem;
  padding-left: 1.25rem;
  padding-right: 1.25rem;
  background-color:#E48310;
  color: #ffffff;
  font-size: 0.875rem;
  line-height: 1.25rem;
  font-weight: 500;
  width: 100%;
  border-radius: 0.5rem;
  text-transform: uppercase;
}

.signup-link {
  color: #6B7280;
  font-size: 0.875rem;
  line-height: 1.25rem;
  text-align: center;
}

.signup-link a {
  text-decoration: underline;
}

</style>
<style>
  .message {
      color: green; /* Add your preferred color */
  }

  .error {
      color: red; /* Add your preferred color */
  }
</style>
